{

 /*
	 Accepts Lights+Shadows via expression or Script
	 http://forums.adobe.com/thread/598844
	 This simple example script turns off accept lights and shadows for selected layers (it assumes those properties haven't been keyframed):
	 */

  function shadowsOn(){
    var myLayers = app.project.activeItem.selectedLayers;
    for (var i = 0; i < myLayers.length; i++){
      myLayers[i].acceptsShadows.setValue(true);
    }
  }

  function shadowsOff(){
    var myLayers = app.project.activeItem.selectedLayers;
    for (var i = 0; i < myLayers.length; i++){
      myLayers[i].acceptsShadows.setValue(false);
    }
  }

  function lightsOn(){
    var myLayers = app.project.activeItem.selectedLayers;
    for (var i = 0; i < myLayers.length; i++){
      myLayers[i].acceptsLights.setValue(true);
    }
  }

  function lightsOff(){
    var myLayers = app.project.activeItem.selectedLayers;
    for (var i = 0; i < myLayers.length; i++){
      myLayers[i].acceptsLights.setValue(false);
    }
  }

 

  function createUI(thisObj) {
    var myPanel = (thisObj instanceof Panel) ? thisObj : new Window("palette", "Accepts Shadows/Lights");
				var res =
				"group { \
					orientation:'column', alignment:['fill','fill'], \
					txt: StaticText { text:'Switch the values for all selected layers',alignment:['left','top'] }, \
					accS: Panel { orientation:'row', text:'Accepts Shadows', alignment:['fill','fill'], alignChildren: ['fill','center'], \
						shadowsOnBtn: Button { text:'on'}, \
						shadowsOffBtn: Button { text:'off'}, \
					}, \
					accL: Panel { orientation:'row', text:'Accepts Lights', alignment:['fill','fill'], alignChildren: ['fill','center'], \
						lightsOnBtn: Button { text:'on'}, \
						lightsOffBtn: Button { text:'off'}, \
					}, \
				}";
				
		myPanel.grp = myPanel.add(res);

    myPanel.grp.accS.shadowsOnBtn.onClick = shadowsOn;
    myPanel.grp.accS.shadowsOffBtn.onClick = shadowsOff;
    myPanel.grp.accL.lightsOnBtn.onClick = lightsOn;
    myPanel.grp.accL.lightsOffBtn.onClick = lightsOff;
    
	return myPanel;
  }

 

  var myToolsPanel = createUI(this);
  myToolsPanel.show();

 

}